%define theme AquaMatrix

Name: design-bootsplash-%theme
Version: 3.0
Release: alt1
Summary: Theme for splash animations during bootup
Summary(ru_RU.KOI8-R):      
License: GPL
Group: Graphics
Provides: design-bootsplash
Requires: bootsplash >= 3.2-alt2

BuildArch: noarch

# Theme file
Source0: Theme-%theme.tar.bz2

%description
This package contains graphics for boot process
(needs console splash screen enabled)

%prep
%setup -q -n %theme

%build

%install
# create directory structure
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/bootsplash/themes/%theme/
cp -a *	$RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/%theme/
rm -f install.sh README

%post
%__ln_s -nf %theme %_sysconfdir/bootsplash/themes/current

%preun
[ $1 = 0 ] || exit 0
[ "`readlink %_sysconfdir/bootsplash/themes/current`" != %theme ] ||
    %__rm -f %_sysconfdir/bootsplash/themes/current

%files
%_sysconfdir/bootsplash/themes/%theme

%changelog
* Tue Mar 22 2005 Anton Farygin <rider@altlinux.ru> 3.0-alt1
- first build for Sisyphus

